xine-lib: v4l_input_plugin_t Struct Reference

xine-lib 1.2.12

Data Fields
v4l_input_plugin_t Struct Reference

## Data Fields
input_plugin_t | input_plugin
xine_stream_t * | stream
char * | mrl
off_t | curpos
int | old_interlace
int | old_zoomx
int | old_zoomy
int | audio_only
buf_element_t * | frames_base
void * | audio_content_base
void * | video_content_base
buf_element_t * | aud_frames
pthread_mutex_t | aud_frames_lock
pthread_cond_t | aud_frame_freed
int | audio_header_sent
int | rate
int | periods
int | periodsize
int | bits
buf_element_t * | vid_frames
pthread_mutex_t | vid_frames_lock
pthread_cond_t | vid_frame_freed
int | video_fd
int | radio_fd
int | input
int | tuner
unsigned long | frequency
unsigned long | calc_frequency
char * | tuner_name
int | radio
int | channel
struct video_channel | video_channel
struct video_tuner | video_tuner
struct video_capability | video_cap
struct video_audio | audio
struct video_audio | audio_saved
struct video_mbuf | gb_buffers
int | video_header_sent
int | frame_format
const resolution_t * | resolution
int | frame_size
int | use_mmap
uint8_t * | video_buf
int | gb_frame
struct video_mmap | gb_buf
int64_t | start_time
xine_event_queue_t * | event_queue
pvrscr_t * | scr
int | scr_tuning

## Field Documentation

## ◆ aud_frame_freed

pthread_cond_t v4l_input_plugin_t::aud_frame_freed

## ◆ aud_frames

buf_element_t* v4l_input_plugin_t::aud_frames

## ◆ aud_frames_lock

pthread_mutex_t v4l_input_plugin_t::aud_frames_lock

## ◆ audio

struct video_audio v4l_input_plugin_t::audio

## ◆ audio_content_base

void* v4l_input_plugin_t::audio_content_base

## ◆ audio_header_sent

int v4l_input_plugin_t::audio_header_sent

## ◆ audio_only

int v4l_input_plugin_t::audio_only

## ◆ audio_saved

struct video_audio v4l_input_plugin_t::audio_saved

## ◆ bits

int v4l_input_plugin_t::bits

## ◆ calc_frequency

unsigned long v4l_input_plugin_t::calc_frequency

## ◆ channel

int v4l_input_plugin_t::channel

## ◆ curpos

off_t v4l_input_plugin_t::curpos

## ◆ event_queue

xine_event_queue_t* v4l_input_plugin_t::event_queue

## ◆ frame_format

int v4l_input_plugin_t::frame_format

## ◆ frame_size

int v4l_input_plugin_t::frame_size

## ◆ frames_base

buf_element_t* v4l_input_plugin_t::frames_base

## ◆ frequency

unsigned long v4l_input_plugin_t::frequency

## ◆ gb_buf

struct video_mmap v4l_input_plugin_t::gb_buf

## ◆ gb_buffers

struct video_mbuf v4l_input_plugin_t::gb_buffers

## ◆ gb_frame

int v4l_input_plugin_t::gb_frame

## ◆ input

int v4l_input_plugin_t::input

## ◆ input_plugin

input_plugin_t v4l_input_plugin_t::input_plugin

## ◆ mrl

char* v4l_input_plugin_t::mrl

## ◆ old_interlace

int v4l_input_plugin_t::old_interlace

## ◆ old_zoomx

int v4l_input_plugin_t::old_zoomx

## ◆ old_zoomy

int v4l_input_plugin_t::old_zoomy

## ◆ periods

int v4l_input_plugin_t::periods

## ◆ periodsize

int v4l_input_plugin_t::periodsize

## ◆ radio

int v4l_input_plugin_t::radio

## ◆ radio_fd

int v4l_input_plugin_t::radio_fd

## ◆ rate

int v4l_input_plugin_t::rate

## ◆ resolution

const resolution_t* v4l_input_plugin_t::resolution

## ◆ scr

pvrscr_t* v4l_input_plugin_t::scr

## ◆ scr_tuning

int v4l_input_plugin_t::scr_tuning

## ◆ start_time

int64_t v4l_input_plugin_t::start_time

## ◆ stream

xine_stream_t* v4l_input_plugin_t::stream

## ◆ tuner

int v4l_input_plugin_t::tuner

## ◆ tuner_name

char* v4l_input_plugin_t::tuner_name

## ◆ use_mmap

int v4l_input_plugin_t::use_mmap

## ◆ vid_frame_freed

pthread_cond_t v4l_input_plugin_t::vid_frame_freed

## ◆ vid_frames

buf_element_t* v4l_input_plugin_t::vid_frames

## ◆ vid_frames_lock

pthread_mutex_t v4l_input_plugin_t::vid_frames_lock

## ◆ video_buf

uint8_t* v4l_input_plugin_t::video_buf

## ◆ video_cap

struct video_capability v4l_input_plugin_t::video_cap

## ◆ video_channel

struct video_channel v4l_input_plugin_t::video_channel

## ◆ video_content_base

void* v4l_input_plugin_t::video_content_base

## ◆ video_fd

int v4l_input_plugin_t::video_fd

## ◆ video_header_sent

int v4l_input_plugin_t::video_header_sent

## ◆ video_tuner

struct video_tuner v4l_input_plugin_t::video_tuner

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/input_v4l.c